# Class SetAutoSwitchReply

#### Hierarchy

- unknown
  - SetAutoSwitchReply

- Defined in src/protobuf/grpc_pb.d.ts:1172
- Defined in src/protobuf/grpc_pb.d.ts:1181

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SetAutoSwitchReply(): SetAutoSwitchReply

- #### Returns SetAutoSwitchReply

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1173

### toObject

- toObject(includeInstance?: boolean): SetAutoSwitchReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SetAutoSwitchReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1174

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetAutoSwitchReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetAutoSwitchReply

  - Defined in src/protobuf/grpc_pb.d.ts:1177

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetAutoSwitchReply, reader: BinaryReader): SetAutoSwitchReply

- #### Parameters

  - ##### message: SetAutoSwitchReply

  - ##### reader: BinaryReader

  #### Returns SetAutoSwitchReply

  - Defined in src/protobuf/grpc_pb.d.ts:1178

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SetAutoSwitchReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SetAutoSwitchReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1176

### `Static` toObject

- toObject(includeInstance: boolean, msg: SetAutoSwitchReply): SetAutoSwitchReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetAutoSwitchReply

  #### Returns SetAutoSwitchReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1175

Generated using TypeDoc